DefaultHttpParams (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.params

## Class DefaultHttpParams

- java.lang.Object
- - org.apache.commons.httpclient.params.DefaultHttpParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, HttpParams
  Direct Known Subclasses:
    HostParams, HttpConnectionParams, HttpMethodParams

      public class DefaultHttpParams
      extends java.lang.Object
      implements HttpParams, java.io.Serializable, java.lang.Cloneable

  This class represents a collection of HTTP protocol parameters. Protocol parameters may be linked together to form a hierarchy. If a particular parameter value has not been explicitly defined in the collection itself, its value will be drawn from the parent collection of parameters.
  Since:
    3.0
  Version:
    $Revision: 510589 $
  Author:
    Oleg Kalnichevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpParams()` Creates a new collection of parameters with the collection returned by `getDefaultParams()` as a parent.
    `DefaultHttpParams(HttpParams defaults)` Creates a new collection of parameters with the given parent.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Removes all parameters from this collection.
    `java.lang.Object` | `clone()` Clones this collection of parameters.
    `boolean` | `getBooleanParameter(java.lang.String name, boolean defaultValue)` Returns a `Boolean` parameter value with the given name.
    `static HttpParams` | `getDefaultParams()` Gets the default HttpParams to be used.
    `HttpParams` | `getDefaults()` Returns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
    `double` | `getDoubleParameter(java.lang.String name, double defaultValue)` Returns a `Double` parameter value with the given name.
    `int` | `getIntParameter(java.lang.String name, int defaultValue)` Returns an `Integer` parameter value with the given name.
    `long` | `getLongParameter(java.lang.String name, long defaultValue)` Returns a `Long` parameter value with the given name.
    `java.lang.Object` | `getParameter(java.lang.String name)` Returns a parameter value with the given name.
    `boolean` | `isParameterFalse(java.lang.String name)` Returns `true` if the parameter is either not set or is `false`, `false` otherwise.
    `boolean` | `isParameterSet(java.lang.String name)` Returns `true` if the parameter is set at any level, `false` otherwise.
    `boolean` | `isParameterSetLocally(java.lang.String name)` Returns `true` if the parameter is set locally, `false` otherwise.
    `boolean` | `isParameterTrue(java.lang.String name)` Returns `true` if the parameter is set and is `true`, `false` otherwise.
    `void` | `setBooleanParameter(java.lang.String name, boolean value)` Assigns a `Boolean` to the parameter with the given name
    `void` | `setDefaults(HttpParams params)` Assigns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
    `void` | `setDoubleParameter(java.lang.String name, double value)` Assigns a `Double` to the parameter with the given name
    `static void` | `setHttpParamsFactory(HttpParamsFactory httpParamsFactory)` Sets the factory that will provide the default HttpParams.
    `void` | `setIntParameter(java.lang.String name, int value)` Assigns an `Integer` to the parameter with the given name
    `void` | `setLongParameter(java.lang.String name, long value)` Assigns a `Long` to the parameter with the given name
    `void` | `setParameter(java.lang.String name, java.lang.Object value)` Assigns the value to the parameter with the given name
    `void` | `setParameters(java.lang.String[] names, java.lang.Object value)` Assigns the value to all the parameter with the given names

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpParams

          public DefaultHttpParams(HttpParams defaults)

      Creates a new collection of parameters with the given parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.
      Parameters:
        `defaults` - the parent collection to defer to, if a parameter is not explictly set in the collection itself.

    - #### DefaultHttpParams

          public DefaultHttpParams()

      Creates a new collection of parameters with the collection returned by `getDefaultParams()` as a parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.
      See Also:
        `getDefaultParams()`

  - ### Method Detail

    - #### getDefaultParams

          public static HttpParams getDefaultParams()

      Gets the default HttpParams to be used.
      Returns:
        the value returned from `HttpParamsFactory#getDefaultParams()`
      See Also:
        `HttpParamsFactory.getDefaultParams()`

    - #### setHttpParamsFactory

          public static void setHttpParamsFactory(HttpParamsFactory httpParamsFactory)

      Sets the factory that will provide the default HttpParams.
      Parameters:
        `httpParamsFactory` - an instance of HttpParamsFactory
      See Also:
        `getDefaultParams()`

    - #### getDefaults

          public HttpParams getDefaults()

      Description copied from interface: `HttpParams`
      Returns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
      Specified by:
        `getDefaults` in interface `HttpParams`
      Returns:
        the parent collection to defer to, if a particular parameter is not explictly set in the collection itself.
      See Also:
        `HttpParams.setDefaults(HttpParams)`

    - #### setDefaults

          public void setDefaults(HttpParams params)

      Description copied from interface: `HttpParams`
      Assigns the parent collection that this collection will defer to for a default value if a particular parameter is not explicitly set in the collection itself
      Specified by:
        `setDefaults` in interface `HttpParams`
      Parameters:
        `params` - the parent collection to defer to, if a particular parameter is not explictly set in the collection itself.
      See Also:
        `HttpParams.getDefaults()`

    - #### getParameter

          public java.lang.Object getParameter(java.lang.String name)

      Description copied from interface: `HttpParams`
      Returns a parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, `null` value is returned.
      Specified by:
        `getParameter` in interface `HttpParams`
      Parameters:
        `name` - the parent name.
      Returns:
        an object that represents the value of the parameter.
      See Also:
        `HttpParams.setParameter(String, Object)`

    - #### setParameter

          public void setParameter(java.lang.String name,
                                   java.lang.Object value)

      Description copied from interface: `HttpParams`
      Assigns the value to the parameter with the given name
      Specified by:
        `setParameter` in interface `HttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### setParameters

          public void setParameters(java.lang.String[] names,
                                    java.lang.Object value)

      Assigns the value to all the parameter with the given names
      Parameters:
        `names` - array of parameter name
        `value` - parameter value

    - #### getLongParameter

          public long getLongParameter(java.lang.String name,
                                       long defaultValue)

      Description copied from interface: `HttpParams`
      Returns a `Long` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Specified by:
        `getLongParameter` in interface `HttpParams`
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Long` that represents the value of the parameter.
      See Also:
        `HttpParams.setLongParameter(String, long)`

    - #### setLongParameter

          public void setLongParameter(java.lang.String name,
                                       long value)

      Description copied from interface: `HttpParams`
      Assigns a `Long` to the parameter with the given name
      Specified by:
        `setLongParameter` in interface `HttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getIntParameter

          public int getIntParameter(java.lang.String name,
                                     int defaultValue)

      Description copied from interface: `HttpParams`
      Returns an `Integer` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Specified by:
        `getIntParameter` in interface `HttpParams`
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Integer` that represents the value of the parameter.
      See Also:
        `HttpParams.setIntParameter(String, int)`

    - #### setIntParameter

          public void setIntParameter(java.lang.String name,
                                      int value)

      Description copied from interface: `HttpParams`
      Assigns an `Integer` to the parameter with the given name
      Specified by:
        `setIntParameter` in interface `HttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getDoubleParameter

          public double getDoubleParameter(java.lang.String name,
                                           double defaultValue)

      Description copied from interface: `HttpParams`
      Returns a `Double` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Specified by:
        `getDoubleParameter` in interface `HttpParams`
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Double` that represents the value of the parameter.
      See Also:
        `HttpParams.setDoubleParameter(String, double)`

    - #### setDoubleParameter

          public void setDoubleParameter(java.lang.String name,
                                         double value)

      Description copied from interface: `HttpParams`
      Assigns a `Double` to the parameter with the given name
      Specified by:
        `setDoubleParameter` in interface `HttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getBooleanParameter

          public boolean getBooleanParameter(java.lang.String name,
                                             boolean defaultValue)

      Description copied from interface: `HttpParams`
      Returns a `Boolean` parameter value with the given name. If the parameter is not explicitly defined in this collection, its value will be drawn from a higer level collection at which this parameter is defined. If the parameter is not explicitly set anywhere up the hierarchy, the default value is returned.
      Specified by:
        `getBooleanParameter` in interface `HttpParams`
      Parameters:
        `name` - the parent name.
        `defaultValue` - the default value.
      Returns:
        a `Boolean` that represents the value of the parameter.
      See Also:
        `HttpParams.setBooleanParameter(String, boolean)`

    - #### setBooleanParameter

          public void setBooleanParameter(java.lang.String name,
                                          boolean value)

      Description copied from interface: `HttpParams`
      Assigns a `Boolean` to the parameter with the given name
      Specified by:
        `setBooleanParameter` in interface `HttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### isParameterSet

          public boolean isParameterSet(java.lang.String name)

      Description copied from interface: `HttpParams`
      Returns `true` if the parameter is set at any level, `false` otherwise.
      Specified by:
        `isParameterSet` in interface `HttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set at any level, `false` otherwise.

    - #### isParameterSetLocally

          public boolean isParameterSetLocally(java.lang.String name)

      Description copied from interface: `HttpParams`
      Returns `true` if the parameter is set locally, `false` otherwise.
      Specified by:
        `isParameterSetLocally` in interface `HttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set locally, `false` otherwise.

    - #### isParameterTrue

          public boolean isParameterTrue(java.lang.String name)

      Description copied from interface: `HttpParams`
      Returns `true` if the parameter is set and is `true`, `false` otherwise.
      Specified by:
        `isParameterTrue` in interface `HttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is set and is `true`, `false` otherwise.

    - #### isParameterFalse

          public boolean isParameterFalse(java.lang.String name)

      Description copied from interface: `HttpParams`
      Returns `true` if the parameter is either not set or is `false`, `false` otherwise.
      Specified by:
        `isParameterFalse` in interface `HttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        `true` if the parameter is either not set or is `false`, `false` otherwise.

    - #### clear

          public void clear()

      Removes all parameters from this collection.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clones this collection of parameters. Please note that paramter values themselves are not cloned.
      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`
      See Also:
        `Serializable`, `Object.clone()`

Copyright (c) 1999-2005 - Apache Software Foundation